Bug 807177 - Gnome session goes unusable after cancelling root's password request on reboot
Gnome session goes unusable after cancelling root's password request on reboot
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: gnome-session (Show other bugs)
17
Unspecified Linux
unspecified Severity unspecified
: ---
: ---
Assigned To: Ray Strode [halfline]
Fedora Extras Quality Assurance
: Reopened
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-03-27 04:32 EDT by Filip Skola
Modified: 2016-05-05 00:40 EDT (History)
4 users (show)

See Also:
Fixed In Version: gnome-session-3.4.0-2.fc17
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-08-01 14:06:01 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Filip Skola 2012-03-27 04:32:47 EDT
Description of problem:
Gnome session goes in wallpaper-only-state after cancelling root's password request on reboot or shutdown when more than 1 user is logged on the system in gnome or fallback.

Version-Release number of selected component (if applicable):
Fedora 17 Beta RC1
gnome-session-3.3.92-2.fc17.x86_64
polkit-0.104-6.fc17.x86_64
polkit-gnome-0.105-2.fc17.x86_64

How reproducible:
always


Steps to Reproduce:
1. Log into system with more than 1 user (use 'switch user' button when screen locked for example)
2. Try to perform shutdown or reboot in one's user account (not in login screen), you are prompted for root password
3. Click cancel button
  
Actual results:
You have to click the cancel button multiple times and after that your session remains in unusable state (wallpaper only).

Expected results:
You can go on with work in your session.

Additional info:
Applied in gnome-shell even in fallback.
Comment 1 Fedora Update System 2012-04-05 22:24:42 EDT
gnome-session-3.4.0-2.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/gnome-session-3.4.0-2.fc17
Comment 2 Fedora Update System 2012-04-06 19:24:01 EDT
Package gnome-session-3.4.0-2.fc17:
* should fix your issue,
* was pushed to the Fedora 17 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing gnome-session-3.4.0-2.fc17'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2012-5468/gnome-session-3.4.0-2.fc17
then log in and leave karma (feedback).
Comment 3 Filip Skola 2012-04-11 09:16:16 EDT
Installed Fedora 17 Beta RC4 and updated gnome-session to 3.4.0-2 according to instructions and tried to reproduce this bug using the same steps.

Screen does not lock anymore, but actual result is that user is kicked from session (to gdm).
Comment 4 Fedora Update System 2012-04-11 22:20:23 EDT
gnome-session-3.4.0-2.fc17 has been pushed to the Fedora 17 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 5 Filip Skola 2012-05-02 08:04:03 EDT
I still experience problems when two or more users are logged in gnome and I try to shutdown/restart system and then cancel root's password request.

Tested on Fedora final TC2, gnome-session-3.4.1-2.fc17.x86_64. Both users logged in were kicked with no warning/message.
Comment 6 Filip Skola 2012-05-22 08:19:55 EDT
Problem persists in Fedora 17 final RC3. Log in a user, select switch users, log in second user, reboot/poweroff and then cancel on password request leads to abrupt termination of user session. Applies on GNOME "new" and fallback.

gnome-session-3.4.1-2.fc17.x86_64
Comment 7 kealthou 2012-07-09 23:56:36 EDT
I experimented a similar problem. In my case, only 1 user was logged in and that user's password was required. Cacelling the authentication led to logout (or it might have been termination of user session as Filip Skola says above). I don't remember whether I clicked cancel button or pressed ESC key. Since then, gdm has always been in fallback mode. 

I haven't tried to reproduce this issue because the password isn't required for reboot or shutdown anymore.

gnome-session-3.4.2-1.fc17.i686
Comment 8 Fedora End Of Life 2013-07-04 02:30:36 EDT
This message is a reminder that Fedora 17 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 17. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '17'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 17's end of life.

Bug Reporter:  Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 17 is end of life. If you 
would still like  to see this bug fixed and are able to reproduce it 
against a later version  of Fedora, you are encouraged  change the 
'version' to a later Fedora version prior to Fedora 17's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 9 Fedora End Of Life 2013-08-01 14:06:08 EDT
Fedora 17 changed to end-of-life (EOL) status on 2013-07-30. Fedora 17 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.